# Copyright 2021- Le Filament (https://le-filament.com)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html)

from odoo import http
from odoo.http import request

from odoo.addons.website.controllers.main import Website


class Website(Website):
    @http.route("/", type="http", auth="public", website=True)
    def index(self, **kw):
        super().index(**kw)

        cat_ids = request.env["product.public.category"].search([])

        return request.render("website.homepage", {"cat_ids": cat_ids})
